ImagickDraw::setTextDecoration
ImagickDraw::setTextUnderColor
ImagickDraw
PHP Manual

# ImagickDraw::setTextEncoding

(PECL imagick 2.0.0)

ImagickDraw::setTextEncoding — Specifies specifies the text code set

### Description

bool ImagickDraw::setTextEncoding ( string `$encoding` )
Warning

This function is currently not documented; only its argument list is available.

Specifies specifies the code set to use for text annotations. The only character encoding which may be specified at this time is "UTF-8" for representing Unicode as a sequence of bytes. Specify an empty string to set text encoding to the system's default. Successful text annotation using Unicode may require fonts designed to support Unicode.

### Parameters

`encoding`

  the encoding name

### Return Values

No value is returned.

ImagickDraw::setTextDecoration
ImagickDraw::setTextUnderColor
ImagickDraw
PHP Manual